> ## Documentation Index
> Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Timeline Event Type

> Create a new event See the JSON examples for more details for including custom properties or extra data. Returns a 204 response on success. Otherwise, you'll receive a 4xx error, with more details about the specific error in the body of the response.

> [accordion] Scope requirements


## OpenAPI

````yaml specs/legacy/v1/crm-timeline-v1.json PUT /integrations/v1/{application-id}/timeline/event-types/{event-type-id}
openapi: 3.0.0
info:
  title: CRM Timeline Events API v1
  version: 1.0.0
  description: Legacy CRM Timeline Events API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /integrations/v1/{application-id}/timeline/event-types/{event-type-id}:
    put:
      summary: Update a Timeline Event Type
      description: >-
        Create a new event See the JSON examples for more details for including
        custom properties or extra data. Returns a 204 response on success.
        Otherwise, you'll receive a 4xx error, with more details about the
        specific error in the body of the response.
      operationId: putintegrationsv1applicationidtimelineeventtypeseventtypeid
      responses:
        '200':
          description: No Content - The operation was successful
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update a Timeline Event Type - Example 1
                  value:
                    name: Renamed Event Type
                    applicationId: 86753
                    headerTemplate: >-
                      # Title for event {% raw %}{{appId}}{% endraw %}&#92;nThis
                      is an event for {% raw %}{{objectType}}{% endraw %}
                    detailTemplate: >-
                      This event happened on {% raw %}{{#formatDate
                      timestamp}}{{/formatDate}}{% endraw %}
                    objectType: CONTACT

````